Observability
All operations require authentication.
List log subscriptionsProduction
Returns the identifiers of the Managed Kubernetes log subscriptions. Set kind to restrict the list to one log kind.
Path parameters
Kube ID
Service name
Query parameters
Filter on a specific kind (e.g., audit)
Response
Example uses kubeId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ kube/ {kubeId}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get a log subscriptionProduction
Returns the log kind and the destination stream of a subscription.
Path parameters
Kube ID
Service name
Subscription ID
Response
Creation date of the subscription
Log kind name of this subscription
Subscribed resource, where the logs come from
Name of the destination log service
Id of the destination log stream
Subscription ID
Last update date of the subscription
Example uses kubeId = string, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ kube/ {kubeId}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Create a log subscriptionProduction
Forwards Managed Kubernetes logs of one kind to a Logs Data Platform stream. The subscription is created asynchronously and the response returns the operation identifier.
Path parameters
Kube ID
Service name
Request body (required)
Log kind name to subscribe to
Customer log stream ID
Response
Identifier of the operation
Operation owner's service name
Example uses kubeId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ kube/ {kubeId}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Generate a temporary log URLProduction
Generates a temporary URL to read the logs of one kind. The URL expires.
Path parameters
Kube ID
Service name
Request body (required)
Log kind name
Response
Temporary url expiration date
Temporary url
Example uses kubeId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ kube/ {kubeId}/ log/ url \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}
Delete a log subscriptionProduction
Deletes the subscription and stops forwarding Managed Kubernetes logs to the stream.
Path parameters
Kube ID
Service name
Subscription ID
Response
Identifier of the operation
Operation owner's service name
Example uses kubeId = string, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ kube/ {kubeId}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}